Bug 709100 - Include information about nfs mount in the installation guide
Include information about nfs mount in the installation guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
541
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lana Brindley
ecs-bugs
:
Depends On:
Blocks: sat54-docs
  Show dependency treegraph
 
Reported: 2011-05-30 11:45 EDT by Šimon Lukašík
Modified: 2013-10-23 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-29 16:09:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Šimon Lukašík 2011-05-30 11:45:00 EDT
Description of problem:
Please include the following (or equivalent) in the documenation:


When using Satellite with SELinux enabled, if /var/satellite/ is
changed to an NFS mount after the initial installation, you must run the following command:

    /usr/sbin/setsebool -P spacewalk_nfs_mountpoint on

In addition, on Red Hat Enterprise Linux 6 you must run:

    /usr/sbin/setsebool -P cobbler_use_nfs on
Comment 1 Šimon Lukašík 2011-05-30 11:45:48 EDT
See also bug 708357.
Comment 2 Lana Brindley 2011-06-13 16:12:22 EDT
Slated for 5.4.2.

LKB
Comment 3 Lana Brindley 2011-10-24 23:45:50 EDT
I included this as an FAQ:

<qandaentry>
	<question>
		<para>
			I changed <filename>/var/satellite</filename> to an NFS mount, and now SELinux is stopping it working properly. What do I need to do?
		</para>
	</question>
	<answer>
		<para>
			You will need to tell SELinux about the NFS mount in order for it to allow that traffic. You can do this with the command:
		</para>
			
<screen>
# /usr/sbin/setsebool -P spacewalk_nfs_mountpoint on
</screen>
		<para>
			If you are using &RHEL; 6, you will also need to run the command:
		</para>
				
<screen>
# /usr/sbin/setsebool -P cobbler_use_nfs on
</screen>
	</answer>
</qandaentry>

Revision 2-6

LKB

Note You need to log in before you can comment on or make changes to this bug.